Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.options
Class ImportFriendsOptionsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.options.OptionsModel
              portlets.compoze.groupware.model.options.ImportFriendsOptionsModel

All Implemented Interfaces:
  java.io.Serializable

public class ImportFriendsOptionsModel
extends OptionsModel
implements java.io.Serializable

This class represents the data model for the import friends page (`import_friends.jsp`).

See Also:
  Serialized Form

Constructor Summary
`ImportFriendsOptionsModel(Accounts accounts, portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs)` Constructor.

Method Summary
`java.lang.String[]` | `getFriends()` Gets the friends.
`portlets.compoze.im.ImProvider` | `getProvider()` Gets the IM provider.
`void` | `setFriends(java.lang.String[] friends)` Sets the friends.
`void` | `setProvider(portlets.compoze.im.ImProvider provider)` Sets the IM provider.

Methods inherited from class portlets.compoze.groupware.model.options.OptionsModel
`getOptionsGroup, getRequiredAccountName, isAccountRequired, isDeleteAccountAvailable, setIsAccountRequired, setRequiredAccountName`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportFriendsOptionsModel

    public ImportFriendsOptionsModel(Accounts accounts,
                                     portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                     FeatureGroup featureGroup,
                                     GroupwarePreferences groupwarePrefs)

  Constructor.

Parameters:
  `accounts` - the accounts
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)

Method Detail

### setProvider

    public void setProvider(portlets.compoze.im.ImProvider provider)

  Sets the IM provider.

  Parameters:
    `provider` - the IM provider (may not be `null`)

### getProvider

    public portlets.compoze.im.ImProvider getProvider()

  Gets the IM provider.

  Returns:
    the IM provider (may not be `null`)

### setFriends

    public void setFriends(java.lang.String[] friends)

  Sets the friends.

  Parameters:
    `friends` - an array of friends (may not be `null`)

### getFriends

    public java.lang.String[] getFriends()

  Gets the friends.

  Returns:
    an array of friends

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.